.product-affinity {
    background: #E9E9E9;
    box-shadow: 0px 4px 40px rgba(0, 0, 0, 0.15);
    border: 1px solid #CCCCCC;
  }
  .mb-input-box {
    width: 150px;
    // height: 60px;
  }
.two-row-data{
    min-height: 315px;
}
.one-row-data{
    min-height: 200px;
}
.custom-row-data{
  padding-top: 3rem;
  padding-bottom: 3rem;
  height:283px;
  max-height:283px;
}
// .custom-switching-row-data{
//   padding-top: 3rem;
//   padding-bottom: 3rem;
//   height: 380px;
//   max-height: 380px;
// }
.reset-text{
  width:450px;
}

.driver_inputs {
  padding-left: 5em;
}
.testcntrl_time_window {
  padding-left: 5em;
}
.btnBottom{
  bottom:-82px;
}
.testcontrol-btnBottom{
  bottom:-97px;
}
.mb-btnBottom{
  bottom: -160px;
}
.testcontrol-reset-text{
  width:300px;
}
.test-reset{
padding-left: 75px;
}
.single-reset-text{
 width:350px;
}

// .price-btnBottom{
//   bottom: -55px;
// }
.forecast_inputs {
  padding-left: 5em;
}
.engine-input-box{
  width:350px;
}
.mbcustomengine-input-box{
  width:210px;
}

  @media (min-width: 1024px) and (max-width: 1366px) {
    .engine_sideicon {
      padding-left: 1.8rem !important;
    }
    .end-div {
      height: 300px;
      width: 100%;
  }
.forecast_inputs {
  padding-left: 2em;
}
    .testcontrol-btnBottom{
      bottom:-74px;
    }
    .btnBottom{
      bottom:-84px;
    }
    .mb-reset-btn{
      bottom:-107px !important;
      right:50px;
    }
.driver_inputs {
  padding-left: 3em;
}
    .mb-input-box{
        width:125px;
    }
    .two-row-data{
      min-height: 290px;
  }
  .one-row-data{
    min-height: 200px;
}
    .custom-multiselect-top-dropdown .btn-primary{
        width:85px;
    }
    .reset-text{
      width:370px;
   }
   .testcntrl_time_window{
    padding-left: 2em;
}

// .custom-row-data{
//   padding-top: 1rem;
//   padding-bottom: 1rem;
// }
  }

  // landing page
  .border-dash{
    border-style: dashed;
}
.active .card{
    background: #F2F2F2;
    border:1px solid #E0E0E0;
    .list-top-items {
        font-weight: 700;
    }
}
.engine-card-shadow{
    border-radius: 0.25rem;
    box-shadow: 8px 4px 17px rgba(0, 0, 0, 0.07);
}
.selected-engine-text:hover{
    color: #333333;
}
.selected-engine-text{
    color: #555555;
}

//3-2-2020 updated design code 
.engine-tab-btn:active{
    width:210px;
    height:46px;
    background: rgba(221,221,221,0.7) !important;
    border-radius:5px;
    color:#333333 !important;
    font-weight:500 !important;
    border:0px !important;
    font-size:14px !important;
}
.engine-tab-btn-active{
  width:210px;
  height:46px;
  background: rgba(221,221,221,0.7) !important;
  border-radius:5px;
  color:#333333 !important;
  font-weight:500 !important;
  border:0px !important;
  font-size:14px !important;
}
.engine-tab-btn {
    width:210px;
    height:46px;
    border-radius:5px;
    color: #777777;
    font-size:14px !important;
    font-weight: normal;
    border:0px;
}
.engine-tab-btn:hover{
    border:0px;
}
.outline-none:focus{
outline: 0px !important;
}


// engine lsnding page
.selected-state{
  background: #FFFFFF;
}
.selected-title{
  font-family:"worksans";
  font-weight: 500;
  font-size: 14px;
  letter-spacing: -0.01em;
}
.visible-state{
  background: #FFFFFF;
  border: 1px solid #E0E0E0;
  margin: 1px;
}
.selected-state:hover{
  // background: #f2f2f2;
  // border: 1px solid #D5D5D5;
  // margin:1px;
  & .elp-info-icon{
    color:#555;
  }  
  }

  .visible-state:hover{
    background: #f2f2f2;
    border: 1px solid #D5D5D5;
    margin: 1px;
    & .elp-info-icon{
      color:#555;
    }  
    }
    .lock-state:hover{
      // background: #f2f2f2;
      // border: 1px solid #D5D5D5;
        & .elp-info-icon{
          display: none;
        }
      }
      .elp-info-icon{
        color:#aaa;
      }  
      .elp-info-icon:hover{
        color:#555;
      }      
.visible-title{
  font-family:"worksans";
  font-weight: normal;
  font-size: 14px;
  letter-spacing: -0.01em;
  color: #333333;
  
  
}
.lock-state{
  background: #f2f2f2;
  border: 1px solid #D5D5D5;
    // background: #CCCCCC;
mix-blend-mode: luminosity;
opacity: 0.8;
// border: 1px solid transparent;
// filter: grayscale(1);
& .elp-img{
  mix-blend-mode: multiply;
}
& .elp-card-shadow{
  box-shadow: none !important;
}
    
}
.elp-card-shadow{
  box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.07);
  padding-bottom: 3px;
  border-radius: 10px;
}
.lock-title{
  font-family: "worksans";
  font-weight: normal;
  font-size: 14px;
  letter-spacing: -0.01em;
  color: #333333;
}
.stream-icon{
  color: #AAAAAA;
  font-size: 16px;
}
.lock-icon{
  color: #777777;
  font-size: 24px;
}
.engine-svg-img{
  // height:65px;
  height:79px;
  // width:100%;
}
.lock-state .engine-svg-img{
  opacity:0.5;
}
.title-section{
  // height:40px;
  // height:35px;
  height:15px;
}
.sidebar-img{
  width:50px;
}


.ml-1rem {
  margin-left: 1rem !important;
}
.elp-card{
  // min-width:25%;
  display: inline-block;
  // max-width: 25%;
width: 25%;
  min-height: 125px;
  max-height: 125px;

  // min-height: 125px;
  // max-height: 125px;
}
.elp-left-space{
 max-height: 80vh;
 margin-left:-31px;
}
.selected-card-title{
  font-size: 22px;
}
@media (min-width: 1024px) and (max-width: 1366px) {
  .engine-tab-btn{
    width: 160px;
  }
  .elp-card{
    display: inline-block;
    width:33%;
    min-height: 127px;
    max-height: 127px;
  }.elp-left-space{
    max-height: 80vh;
    margin-left: -15px;
   }
}
@media (min-width: 768px) and (max-width: 991px) {
  .elp-card{
    display: inline-block;
    width:50%;
    min-height: 125px;
    .elp-left-space{
      max-height: 80vh;
      padding-left: 50px;
      margin-left: -5px !important;
     }
  }
  .engine-tab-btn{
    width: 125px;
  }
  .elp-left-space{
    max-height: 80vh;   
    margin-left: -5px ;
   }
  

}
.right-des{
  line-height: 24px;
}
.elp-img{
  background-repeat: no-repeat !important;
  background-position: right bottom !important;
  background-size: 80px !important;
}
.engine_sideicon {
  padding-left:4.65rem;
}
.engine_container {
  margin-top:-10px;
}
.elp_leftspace_row {
  margin-top: -17px;
}
.cardbody_height {
  max-height: 75vh;
}
.redirect_enginepage {
  position: absolute;width: 100%;height: 100%;
}
.cardbody_mr3 {
  max-width: 247px;display: inline-block;
}

.epage-title{
  font-family: "worksans";
font-style: normal;
font-weight: 500;
font-size: 22px;
letter-spacing: -0.03em;
color: #555555;
}
// engine tab 
.etab-active{
width: 35px;
height: 30px;
border-radius: 5px !important;
padding:6px !important;
color: #FFFFFF;
border:none;
margin:0;
& :hover{
}
}
.etab-inactive{
  width: 35px;
  height: 30px;
  padding:6px !important;
  color: #777777;
  border:none;
  margin:0;
}
.etab-inactive:hover{
  opacity:0.6 !important;
  background:transparent !important;
}
.etab-bg{
width: 70px;
height: 30px;
background: #FFFFFF;
border-radius: 5px;
}
.list-bottom-space{
  padding-bottom: 15px;
}
//engine list section
.elist-title{
font-family: "worksans";
font-style: normal;
font-weight: 500;
font-size: 16px;
letter-spacing: -0.01em;
color: #555555;
}
.elist-hr{
  margin-top: 3px;
  margin-bottom:0rem;
  border: 0;
  border-top: 1px solid #DDD;
}


//gradient scroll
.engine-bottom_transp_div {
  background: linear-gradient(rgba(255, 255, 255, 0) 0%, rgb(248, 249, 250) 100%);
  bottom: 0px;
  width: 53%;
  position: fixed;
  height: 6%;
}